﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace TestTileView
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			ObservableCollection<MyItem> items = new ObservableCollection<MyItem>();
			for (int i = 0; i < 100; i++)
			{
				items.Add(new MyItem()
				{
					CareGap = i.ToString(),
					Contact = i.ToString(),
					ContactType = i.ToString(),
					NextAttempt = i.ToString(),
					Status = i.ToString(),
					Template = i.ToString()
				});
			}

			this.radLifeStyleDefault.ItemsSource = items;
			this.radGridLifeSpecific.ItemsSource = items;
			this.radProgramEnrollDefault.ItemsSource = items;
			this.radGridProgramSpecific.ItemsSource = items;
		}

		private void imgEdit_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
		{

		}

		private void imgSelect_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
		{

		}

		private void TileViewItemSizeChanged(object sender, SizeChangedEventArgs e)
		{
			var container = sender as RadTileViewItem;
			if (container != null)
			{
				var grid = container.ChildrenOfType<RadGridView>().FirstOrDefault();
				if (grid != null)
				{
					grid.MaxWidth = e.NewSize.Width;
					grid.MaxHeight = Math.Max(0, e.NewSize.Height - 110);
				}
			}
		}

		private void GridLoaded(object sender, RoutedEventArgs e)
		{
			var grid = sender as RadGridView;
			if (grid != null)
			{
				var cotnainer = grid.ParentOfType<RadTileViewItem>();
				if (cotnainer != null)
				{
					grid.MaxWidth = cotnainer.ActualWidth;
					grid.MaxHeight = Math.Max(0, cotnainer.ActualHeight - 110);
				}
			}
		}
	}
}
